@import "../../../assets/css/general.css";

@media (min-width: 992px) {
    .container, .container-lg, .container-md, .container-sm {
        max-width: 850px;
    }
}
@media (min-width: 1200px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl {
        max-width: 1240px;
    }
}
.has-error input, #optin-inline .has-error select {
    border: #9E5DCF 1px solid !important;
}
.form-group {
    margin-bottom:0;
}
.form-group-email {
    flex-grow: 1;
}

.btn-cta {
    border-radius: 900px;
    background: #FFA103;

    display: flex;
    padding: 12px 24px;
    justify-content: center;
    align-items: center;
    gap: 10px;

    color: #262626;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    text-transform: uppercase;
    text-decoration: none;
    text-align: center;

    position: relative;
    transition: all .5s ease-in-out;
    overflow: hidden;
}
.btn-cta-white {
    background: #FFFFFF;
    color: #262626;
}
.btn-cta-black {
    background: #262626;
    color: #FFFFFF;
}
.btn-cta:hover {
    color: #262626;
    text-decoration: none;
}
.btn-cta:after {
    content: "";
    position: absolute;
    left: -40px;
    top: 0;
    height: 100%;
    width: 150%;
    -webkit-transition: all .5s ease-in-out;
    transition: all .5s ease-in-out;
    -webkit-transform: translateX(-98%);
    transform: translateX(-98%);
    border-radius: inherit;
}
.btn-cta:hover:after {
    -webkit-transform: translateX(-9%);
    transform: translateX(-9%);
    border-radius: inherit;
}
.btn-cta:after{
    background: #FFC665;
}
.btn-cta span {
    position: relative;
    z-index: 1;
}
.btn-cta.btn-cta-icon span {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px;
}
.date {
    display: flex;
    padding: 5px 24px;
    justify-content: center;
    align-items: center;
    gap: 32px;

    width: fit-content;

    border-radius: 900px;
    border: 1px solid rgba(70, 124, 191, 0.20);
    background: rgba(70, 124, 191, 0.10);
}
.date .date-item {
    display: flex;
    align-items: center;
    gap: 10px;

    color: #33537A;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

header section.navigation {
    border-bottom: 1px solid #F5F5F5;
    background: #FFF;
    padding: 24px 5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
header section.navigation  img.logo {
    height: 24px;
}
main {
    /*display: flex;
    flex-direction: column;
    min-height: 100vh;*/
}

main section.hero {
    padding-bottom: 80px;
}
main section.hero .content {
    max-width: 814px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
}
main section.hero .content .section-header {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
}
main section.hero .content .section-header h1 {
    text-align: center;
    font-size: 46px;
    font-style: normal;
    font-weight: 600;
    line-height: 120%;
}

main section.hero .content .section-header h2 {
    text-align: center;
    font-size: 32px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%;
}
main section.post-offer {
    padding: 80px 100px;
    border-radius: 4px;
    border-right: 1px solid rgba(0, 0, 0, 0.05);
    border-bottom: 1px solid rgba(0, 0, 0, 0.05);
    border-left: 1px solid rgba(0, 0, 0, 0.05);
    background: #F5F5F5;

    background-image: url("../images/offer-success-accelerator.png");
    background-position: right center;
    background-size: contain;
    background-repeat: no-repeat;
}
main section.post-offer.offer-splus {
    padding: 25px 100px 0;
    background-image: none;
}
main section.post-offer.offer-splus .row {
    gap: 80px;
}
main section.post-offer.offer-splus .offer-image {
    display: block !important;
    max-width: 326px;
    margin: 0 auto;
}
main section.post-offer .content {
    display: flex;
    width: 713px;
    flex-direction: column;
    align-items: flex-start;
    gap: 24px;

    color: rgba(38, 38, 38, 0.60);
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%;
}
main section.post-offer.offer-splus .content {
    width: 100%;
    padding-top: 55px;
}
main section.post-offer .title {
    color: #33537A;
    font-size: 46px;
    font-style: normal;
    font-weight: 600;
    line-height: 120%;
}
main section.post-offer.offer-splus .title {
    color: #262626;
}
main section.post-offer .subtitle {
    color: rgba(38, 38, 38, 0.70);
    font-size: 26px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%;
}

main section.post-offer .offer-image {
    display: none;
}

/* custom view (desktops, less than 1400px) */
@media (max-width: 1399.98px) {
    main section.post-offer {
        background-image: none;
        padding: 56px 25px 0;
    }
    main section.post-offer.offer-splus .row {
        gap: 0;
    }
    main section.post-offer .content {
        width: 100%;
        align-items: center;
        text-align:center;
        font-size: 18px;
    }
    main section.post-offer.offer-splus .content {
        align-items: start;
        text-align:left;
    }
    main section.post-offer .title {
        font-size: 46px;
    }
    main section.post-offer .subtitle {
        font-size: 26px;
    }
    main section.post-offer .offer-image {
        width:auto;
        display: block;
        padding-top: 32px;
        margin-right: -40px;
    }
    .date {
        margin: 0 auto;
    }
}
/* Large devices (desktops, less than 1200px) */
@media (max-width: 1199.98px) {
    main section.post-offer.offer-splus .content {
        align-items: center;
        text-align:center;
    }
}

/* Small devices (landscape phones, less than 768px) */
@media (max-width: 767.98px) {
    main section.post-offer .content {
        font-size: 16px;
    }
    main section.post-offer.offer-splus .content {
        align-items: center;
        text-align:center;
    }
    main section.post-offer .title {
        font-size: 32px;
    }
    main section.post-offer .subtitle {
        font-size: 20px;
    }
    main section.hero .content .section-header h1 {
        font-size: 32px;
    }

    main section.hero .content .section-header h2 {
        font-size: 24px;
    }
}
/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) {
    .date {
        padding: 12px 24px;
        flex-direction: column;
        width: 100%;
        gap: 8px;
    }
}

/*** FOOTER ***/
.icon-social svg path {
    fill: #467CBF; /* Regular color */
    transition: fill 300ms ease-out;
}

.icon-social:hover svg path {
    fill: #33537A; /* Hover color */
}
footer {
    padding: 24px 0;
    border-bottom: 1px solid #F5F5F5;
    background: #F5F5F5;
}
footer .brand {
    display: flex;
    align-items: center;
    gap: 32px;
    flex-shrink: 0;
}
footer .brand img.logo {
    width: 152px;
}
footer .brand .legal {
    text-align: right;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%; /* 19.6px */
    opacity: 0.6;
}
footer .social {
    display: flex;
    align-items: center;
    gap: 16px;
}
/* Small devices (landscape phones, less than 768px) */
@media (max-width: 767.98px) {
    footer .social {
        justify-content: center;
        padding-top: 24px;
    }
}

/** PROGRESS **/

.stepper-wrapper {
    margin-top: auto;
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px;
    padding-top: 48px;
    padding-bottom: 56px;
}
.stepper-item {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1;
}
.stepper-item::before {
    position: absolute;
    content: "";
    border-bottom: 2px solid #F5F5F5;
    width: 100%;
    top: 20px;
    left: -50%;
    z-index: 2;
}

.stepper-item::after {
    position: absolute;
    content: "";
    border-bottom: 2px solid #F5F5F5;
    width: 100%;
    top: 20px;
    left: 50%;
    z-index: 2;
}

.stepper-item .step-counter {
    position: relative;
    z-index: 5;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    margin-bottom: 16px;
    margin-top: 10px;
    border: 3px solid #F5F5F5;
    background: #FFF;
}

.stepper-item.completed .step-counter {
    border: 3px solid #FFA103;
    background: #FFA103;
}

.stepper-item.active {
    font-weight: bold;
}

.stepper-item.active .step-counter {
    border: 3px solid #FFA103;
    background-color: #FFA103;
}

.stepper-item.completed::after {
    position: absolute;
    content: "";
    border-bottom: 2px solid #FFA103;
    width: 100%;
    top: 20px;
    left: 50%;
    z-index: 3;
}

.stepper-item.active::after {
    position: absolute;
    content: "";
    border-bottom: 2px solid #FFA103;
    width: 50%;
    top: 20px;
    left: 50%;
    z-index: 3;
}

.stepper-item:first-child::before {
    content: none;
}
.stepper-item:last-child::after {
    content: none;
}
.stepper-item .step-name {
    text-align: center;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 120%; /* 14.4px */
    letter-spacing: 0.96px;
    text-transform: uppercase;
    max-width: 200px;
    padding-right: 10px;
    padding-left: 10px;
}
/* Small devices (landscape phones, less than 768px) */
@media (max-width: 767.98px) {
    .stepper-wrapper {
        padding-bottom: 32px;
    }
}